Opened 9 years ago

Last modified 6 years ago

#72 new enhancement

swt port

Reported by: diver Owned by:
Priority: critical Milestone: Next
Component: general Version: 1.6.0-b19 RC
Severity: medium Keywords:
Cc: ggamba@…

Description

port swt to work with current java.
Yuri did a initial port some month ago.
he will provide a diff and add a download link here later.

Change History (7)

comment:1 Changed 9 years ago by diver

the complete source zip is at http://web.os2power.com/download/swt332.zip

comment:2 Changed 7 years ago by diver

  • Milestone changed from Enhanced to Next
  • Severity set to medium

comment:3 Changed 6 years ago by diver

  • Priority changed from major to critical

as it seems like the need is there, we have to consider it for the next java update

comment:4 Changed 6 years ago by Lewisr

This seems to have become an issue for me.

I use SmartSVN. I've been using SmartSVN 7. Yesterday, I paid for the registered version of SmartSVN, and downloaded version 8.0.1, which would not start, due to "Unsopported (yet) operating system OS/2." I thought I might be able to get around the issue by faking a different OS, so I opened ticket with WANDisco, inquiring as to where/how they are determining OS.

The response I received today was:

Up until SmartSVN 7 AWT/Swing was used for GUI. Starting with SmartSVN 7.5 SWT has been used and this is incompatible. I've spoken with the developers and they insist that there is nothing that can be done unfortunately, we'd be happy to help if we could because we want more users on 8.x

If it could be done the toolkit (SWT) is incompatible and would cause the app to crash each time.

I have requested a refund of my registration fee, and in any case, will be making a donation to this Java project today. I know that significant resources are being expended on the Firefox project, and I know that even monetary contributions are no guaranty of attention or even further development. I do greatly appreciate the efforts here, though.

Lewis

comment:5 Changed 6 years ago by Lewisr

Ref ticket #158 concerning SmartGIT 3, which appears to be the same (lack of) SWT issue.

comment:6 Changed 6 years ago by dmik

Lewis, thank you for your support.

Yes, both SmartSVN and SmartGIT need SWT (I still have to use SmartSVN 6 and SmartGit? 2 myself because of that). As you noticed, all our resources are on Firefox now. But this task is still considered to be important by us within our Java roadmap.

comment:7 Changed 6 years ago by ggamba

  • Cc ggamba@… added
Note: See TracTickets for help on using tickets.